• Home Support Forums Security Advisories Shop     English | French
Security Announcement
Announcement > SAP10364
(Non-US) G416 :: H/W Rev. Ax :: F/W v1.08b02 :: TrendMicro ZDI Reports LAN-Side Unathenticated Command Injection
Publication ID: SAP10364
Resolved Status: Open
Published on: 22 November 2023 12:14 GMT
Last updated on: 14 May 2024 9:26 GMT

Overview

 

On July 13, 2023, and July 28, 2022, third-party security research from TrendMicro ZDI reported the (non-US SKU) D-Link G416 Router H/W Rev. Ax:: F/W v1.08b02 having an unauthenticated Lan-Side Command Injection Vulnerability. Due to the volume of the list sent in two parts, development for correction required a start and re-start to complete the mitigation, leading to an extended response time to close all issues.

An OS command injection vulnerability has been discovered in D-Link G416. Unauthenticated attackers can exploit it to execute various arbitrary code with root privileges, as listed below.

D-Link takes network security and user privacy very seriously. We have a dedicated task force and product management team on call to address evolving security issues and implement appropriate security measures.

Report information:

 

         - Reported by TrendMicro ZDI

 

               July 7, 2023, Report

                 - 1. ZDI-CAN-21286: D-Link G416 cfgsave Command Injection Remote Code Execution Vulnerability 
                 - 2. ZDI-CAN-21287: D-Link G416 httpd Missing Authentication for Critical Function Remote Code Execution Vulnerability
                 - 3. ZDI-CAN-21288: D-Link G416 cfgsave backusb Command Injection Remote Code Execution Vulnerability 
                 - 4. ZDI-CAN-21289: D-Link G416 cfgsave upusb Command Injection Remote Code Execution Vulnerability 
                 - 5. ZDI-CAN-21299: D-Link G416 flupl query_type edit Command Injection Remote Code Execution Vulnerability
                 - 6. ZDI-CAN-21300: D-Link G416 flupl filename Command Injection Remote Code Execution Vulnerability
                 - 7. ZDI-CAN-21441: D-Link G416 ovpncfg Stack-based Buffer Overflow Remote Code Execution Vulnerability
                 - 8. ZDI-CAN-21662: D-Link G416 httpd API-AUTH Digest Processing Stack-based Buffer Overflow Remote Code Execution Vulnerability
                 - 9. ZDI-CAN-21663: D-Link G416 hOpd API-AUTH Timestamp Processing Stack-based Buffer Overflow Remote Code Execution Vulnerability
                 - 10. ZDI-CAN-21664: D-Link G416 httpd Improper Handling of Exceptional Conditions Information Disclosure Vulnerability

                 July 28, 2023, Report

                - 11. ZDI-CAN-21294: D-Link G416 flupl self Command Injection Remote Code Execution Vulnerability

                - 12. ZDI-CAN-21295: D-Link G416 flupl pythonmodules Command Injection Remote Code Execution Vulnerability

                - 13. ZDI-CAN-21297: D-Link G416 flupl pythonapp Command Injection Remote Code Execution Vulnerability
                - 14. ZDI-CAN-21442: D-Link G416 cfgsave Stack-Based Buffer Overflow Remote Code Execution Vulnerability
                - 15. ZDI-CAN-21298: D-Link G416 awsfile chmod Command Injection Remote Code Execution Vulnerability
                - 16. ZDI-CAN-21296: D-Link G416 nodered chmod Command Injection Remote Code Execution Vulnerability
                - 17. ZDI-CAN-21807: D-Link G416 nodered File Handling Command Injection Remote Code Execution Vulnerability
                - 18. ZDI-CAN-21808: D-Link G416 nodered tar File Handling Command Injection Remote Code Execution Vulnerability
                - 19. ZDI-CAN-21809: D-Link G416 nodered gz File Handling Command Injection Remote Code Execution Vulnerability
                - 20. ZDI-CAN-21810: D-Link G416 awsfile tar File Handling Command Injection Remote Code Execution Vulnerability
                - 21. ZDI-CAN-21811: D-Link G416 awsfile rm Command Injection Remote Code Execution Vulnerability

 

Affected Models

 

 

Model

 

 

Affected Version

 

 

 Region

 

 

Fixed Release

 

 

Recommendation

 

 

 Last Updated

 

 

G416

 

v1.08b02 and below

 

(Non-US)

 

v1.09B01

Update Automatic or through Mobile App

 

05/14/2024

 

Regarding the Security patch for your D-Link Devices

 

Firmware and software updates address the security vulnerabilities in affected D-Link devices. D-Link will continually update these, and we strongly recommend that all users install the relevant updates.

Just so you know, this is a device beta software, beta firmware, or hot-fix release that is still undergoing final testing before its official release. The beta software, beta firmware, or hotfix is provided on an “as is” and “as available” basis, and the user assumes all risk and liability for use. D-Link does not give any express or implied warranties regarding the suitability or usability of the beta firmware. D-Link will not be liable for any loss, whether direct, indirect, special, or consequential, suffered by any party due to their use of the beta firmware.

As our products have different hardware revisions, please check this on your device before downloading the correct corresponding firmware update. The hardware revision information can usually be found on the product label on the underside of the product next to the serial number. Alternatively, it can also be found on the device's web configuration.